from zActionsFuncs import *
from CvPythonExtensions import *
from PyHelpers import *
import zActionInfos

# globals
gc = CyGlobalContext()

zActionInfos.addZAction(	
		"Plant Forest",						## Name
		"Art/Interface/Buttons/TerrainFeatures/Forest.dds",	## Button
		getDistRangeFuncSquare(0),				## Plots it can hit
		canPlantForest,						## Tells if the action can be done
		canEverPlantForest,					## Tells if it can do action now
		canPlantForestOnPlot,					## Tells if action can be done on plot
		shouldPlantForest,					## Tells if action is recommended
		plantForest,						## Does Action
		0							## Range
		)

zActionInfos.addZAction	(
		"Bombard City",						## Name
		"art/interface/buttons/actions/bombard.dds",		## Button
		getDistRangeFuncSquare(2),				## Plots it can hit
		canBombard,						## Tells if the action can be done
		canEverBombard,						## Tells if it can do action now
		canBombardOnPlot,					## Tells if action can be done on plot
		shouldBombard,						## Tells if action is recommended
		bombard,						## Does Action
		2							## Range
		)