from CvPythonExtensions import *
import zActionInfos
import zActionsActions

gc = CyGlobalContext()

def preform(unit, action, targetPlot):						## preforms the action
	rangePlots = action.getRange(CyInterface().getHeadSelectedUnit())		## call the range function for the action
	if action.canDoActionPlot(unit, targetPlot) and action.canEverDoAction(unit) and action.canDoAction(unit):
		for plot in rangePlots:
			if targetPlot.getX() == plot[0] and targetPlot.getY() == plot[1]:
				action.doAction(unit, targetPlot)					## preform the action
				CyInterface().makeInterfaceDirty()
				return

def getPossibleActions(unit):							## finds all actions whose requirements are met
	actions = zActionInfos.getActions()
	goodActions=[]
	for iAction in actions:
		if actions[iAction].canEverDoAction(unit):
			goodActions.append(actions[iAction])
	return goodActions